@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components{
  h1{ 
    @apply text-4xl font-bold
  }

  h2{
    
    @apply text-3xl font-bold 
  }

  h3{
    @apply text-2xl font-bold 
  }

  .box{
    @apply bg-white shadow-md rounded-xl;
  }

  .btn{
    @apply text-white font-bold h-12 px-4 rounded-lg shadow-md;
  }

  .input{
    @apply h-12 border-gray-400 rounded-md disabled:opacity-30 focus:border-[#C59D5F] focus:ring-[#C59D5F];
  }

  .input-file{
    @apply h-12 border-gray-400 border rounded-md disabled:opacity-30 focus:border-[#C59D5F] focus:ring-[#C59D5F];
  }

  input[type="file"]::file-selector-button{
    @apply bg-gray-500 hover:bg-gray-600;
  }

  .textarea{
    @apply h-36 border-gray-400 rounded-md disabled:opacity-30 focus:border-[#C59D5F] focus:ring-[#C59D5F];
  }

  .dropdown{
    @apply h-12 border-gray-400 rounded-md disabled:opacity-30 focus:border-[#C59D5F] focus:ring-[#C59D5F];
  }

  .checkbox{
    @apply rounded-sm disabled:opacity-30 focus:ring-black focus:checked:bg-black checked:bg-black hover:checked:bg-[#C59D5F]
  }

  .radio{
    @apply disabled:opacity-30 focus:ring-[#C59D5F] focus:checked:bg-[#C59D5F] checked:bg-[#C59D5F]  hover:checked:bg-[#C59D5F]
  }

 
  .nav-link{
    @apply block text-white h-12  grid grid-cols-[50px_1fr] items-center px-2 flex-1
  }

  /* .nav-link-active{
    @apply block text-[#e56a1eee] h-12 font-bold grid grid-cols-[50px_1fr] items-center px-2
    flex-1
    /* bg-[#C59D5F] */
    /* hover:from-orange-600 hover:to-red-700 */
    /* underline
  } */ 
  .nav-link-active {
    @apply block text-[#d9ab55] h-12 font-bold grid grid-cols-[50px_1fr] items-center px-2 flex-1;
    /* Add styles for the underline */
    position: relative;
  }
  

  .nav-link-active::after {
    content: '';
    position: absolute;
    left: 8%;
    bottom: 0;
    width: 80%; 
    height: 2px; /* Adjust the thickness of the underline */
    background-color: #d9ab55; /* Color of the underline */
    animation: underline-animation 0.3s forwards;
  }
  
  @keyframes underline-animation {
    from {
      width: 0;
    }
    to {
      width: 80%;
    }
  }


  .nested-nav-link{
    @apply block ms-10 hover:bg-gray-300 border-b-2 border-gray-300 text-lg text-gray-500 py-1
  }

  .nested-nav-link-active{
    @apply block ms-10 font-semibold hover:bg-gray-300 border-b-4 border-[#C59D5F] text-lg text-[#C59D5F] py-1
  }

  .nav-tab{
    @apply font-semibold text-gray-600 hover:bg-gray-300 rounded-2xl px-3 text-lg whitespace-nowrap flex items-center h-8
  }

  .nav-tab-active{
    @apply bg-[#C59D5F] hover:bg-[#C59D5F] font-semibold text-white rounded-2xl text-lg px-3 whitespace-nowrap flex items-center h-8
  }

  .green{
    @apply bg-lime-500 hover:bg-lime-600;
  }

  .red{
    @apply bg-red-600 hover:bg-red-700;
  }

  .orange{
    @apply bg-orange-500 hover:bg-orange-600;
  }

  .text-error{
    @apply text-red-600 font-semibold text-sm;
  }
}